///****************************************************************************
//
//	Copyright 2011 by WinSystems Inc.
//
//	Permission is hereby granted to the purchaser of WinSystems CPU products
//  to distribute any binary file or files compiled using this source code
//	directly or in any work derived by the user from this file. In no case
//	may the source code, original or derived from this file, be distributed
//	to any third party except by explicit permission of WinSystems. This file
//	is distributed on an "as-is" basis and no warranty as to performance or
//	fitness of purposes is expressed or implied. In no case shall WinSystems
//	be liable for any direct or indirect loss or damage, real or consequential
//	resulting from the usage of this source code. It is the user's sole
//	responsibility to determine fitness for any considered purpose.
//
///****************************************************************************
//
//	Name	 : flash.cpp
//
//	Project	 : PCM-MIO-G Sample Application
//
//	Author	 : Paul DeMetrotion
//
///****************************************************************************
//
//	  Date		Revision	                Description
//	--------	--------	---------------------------------------------
//	 11/8/11	  1.0		  Original Release
//
///****************************************************************************

#include "stdafx.h"
#include "..\mio_io\mio_io.h"
#include <stdio.h>
#include <conio.h>

#define DEVNUM 0

int _tmain(int argc, _TCHAR* argv[])
{
	int x;

	printf("Starting LED Flash - Press any key to exit\n");
	while(!_kbhit())
	{
		for(x=1; x<49; x++)
		{
			dio_set_bit(DEVNUM, x);
			if(mio_error_code)
				break;
			Sleep(25);
			dio_clr_bit(DEVNUM, x);
			if(mio_error_code)
				break;
		}

		if(mio_error_code)
			break;
	}

	if(mio_error_code)
	{
		printf("\n%s\n",mio_error_string);
		exit(1);
	}

	_getch();

	return 0;
}
